<form action="{{ path('search') }}">
    <div class="input-group mb-3">
        <input type="text" class="form-control" name="q" {% if q is defined %}value="{{ q }}" {% endif %}>
        <button class="btn btn-outline-secondary" type="submit">{% trans %}Search{% endtrans %}</button>
    </div>
</form>